AM263Px MCU+ SDK: SDL_VTM_configTs Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
SDL_VTM_configTs Struct Reference
APIs for VTM » VTM Data Structures

## Detailed Description

VTM temperature sensor configuration.

This structure contains VTM temperature sensor configuration

## Data Fields
uint8_t | cfgTs0Tshut
uint8_t | cfgTs0Alert
int32_t | ts0_ts_hot_temp_in_milli_degree_celsius
int32_t | ts0_ts_cold_temp_in_milli_degree_celsius
int32_t | ts0_alert_hot_temp_in_milli_degree_celsius
int32_t | ts0_alert_cold_temp_in_milli_degree_celsius
uint8_t | cfgTs1Tshut
uint8_t | cfgTs1Alert
int32_t | ts1_ts_hot_temp_in_milli_degree_celsius
int32_t | ts1_ts_cold_temp_in_milli_degree_celsius
int32_t | ts1_alert_hot_temp_in_milli_degree_celsius
int32_t | ts1_alert_cold_temp_in_milli_degree_celsius

## Field Documentation

## ◆ cfgTs0Tshut

uint8_t SDL_VTM_configTs::cfgTs0Tshut

Enable Thermal shutdown configuration and interrupts for TS0

## ◆ cfgTs0Alert

uint8_t SDL_VTM_configTs::cfgTs0Alert

Enable Alert configuration and interrupts for TS0

## ◆ ts0_ts_hot_temp_in_milli_degree_celsius

int32_t SDL_VTM_configTs::ts0_ts_hot_temp_in_milli_degree_celsius

TS0 Thermal shutdown hot

## ◆ ts0_ts_cold_temp_in_milli_degree_celsius

int32_t SDL_VTM_configTs::ts0_ts_cold_temp_in_milli_degree_celsius

TS0 Thermal shutdown cold

## ◆ ts0_alert_hot_temp_in_milli_degree_celsius

int32_t SDL_VTM_configTs::ts0_alert_hot_temp_in_milli_degree_celsius

TS0 Alert Threshold Hot

## ◆ ts0_alert_cold_temp_in_milli_degree_celsius

int32_t SDL_VTM_configTs::ts0_alert_cold_temp_in_milli_degree_celsius

TS0 Alert Threshold Cold

## ◆ cfgTs1Tshut

uint8_t SDL_VTM_configTs::cfgTs1Tshut

Enable Thermal shutdown configuration and interrupts for TS1

## ◆ cfgTs1Alert

uint8_t SDL_VTM_configTs::cfgTs1Alert

Enable Alert configuration and interrupts for TS1

## ◆ ts1_ts_hot_temp_in_milli_degree_celsius

int32_t SDL_VTM_configTs::ts1_ts_hot_temp_in_milli_degree_celsius

TS1 Thermal shutdown hot

## ◆ ts1_ts_cold_temp_in_milli_degree_celsius

int32_t SDL_VTM_configTs::ts1_ts_cold_temp_in_milli_degree_celsius

TS1 Thermal shutdown cold

## ◆ ts1_alert_hot_temp_in_milli_degree_celsius

int32_t SDL_VTM_configTs::ts1_alert_hot_temp_in_milli_degree_celsius

TS1 Alert Threshold Hot

## ◆ ts1_alert_cold_temp_in_milli_degree_celsius

int32_t SDL_VTM_configTs::ts1_alert_cold_temp_in_milli_degree_celsius

TS1 Alert Threshold Cold